Subject: bug#79363: 31.0.50; Font locking issue in go-ts-mode when tree-sitter grammar is automatically installed

From: Juri Linkov <[email-masked]>
Date: Fri, 05 Sep 2025 09:10:50 +0300

> I'm going through all the tree-sitter modes checking that automatic
> grammar installation works as expected, reviewing the relevant code and
> fixing the issues I find.
>
> The thing is that merging everything in one single patch and reviewing
> everything together seems a bit too much.  For instance, I found issues
> in elixir-ts-mode and heex-ts-mode that we would probably want to
> discuss separately.  Are you OK with splitting the patch per ts mode?

Splitting the patch per ts mode would be nicer to review.
And you can send all patches in the same current issue.